<?php

namespace App\Observers;

use App\Models\AiHealingLog;

class AiHealingLogObserver
{
    /**
     * Handle the AiHealingLog "created" event.
     */
    public function created(AiHealingLog $aiHealingLog): void
    {
        //
    }

    /**
     * Handle the AiHealingLog "updated" event.
     */
    public function updated(AiHealingLog $aiHealingLog): void
    {
        //
    }

    /**
     * Handle the AiHealingLog "deleted" event.
     */
    public function deleted(AiHealingLog $aiHealingLog): void
    {
        //
    }

    /**
     * Handle the AiHealingLog "restored" event.
     */
    public function restored(AiHealingLog $aiHealingLog): void
    {
        //
    }

    /**
     * Handle the AiHealingLog "force deleted" event.
     */
    public function forceDeleted(AiHealingLog $aiHealingLog): void
    {
        //
    }
}
